Package it.ernytech.tdlib

## Class TdApi.ReplyMarkupForceReply

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ReplyMarkup
    - - it.ernytech.tdlib.TdApi.ReplyMarkupForceReply

Enclosing class:
  TdApi

    public static class TdApi.ReplyMarkupForceReply
    extends TdApi.ReplyMarkup

Instructs clients to force a reply to this message.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isPersonal` True, if a forced reply must automatically be shown to the current user.

### Constructor Summary

Constructors
`ReplyMarkupForceReply()` Default constructor.
`ReplyMarkupForceReply​(boolean isPersonal)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### isPersonal

    public boolean isPersonal

True, if a forced reply must automatically be shown to the current user. For outgoing messages, specify true to show the forced reply only for the mentioned users and for the target user of a reply.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ReplyMarkupForceReply

    public ReplyMarkupForceReply()

Default constructor.

#### ReplyMarkupForceReply

    public ReplyMarkupForceReply​(boolean isPersonal)

Constructor for initialization of all fields.

Parameters:
  `isPersonal` - True, if a forced reply must automatically be shown to the current user. For outgoing messages, specify true to show the forced reply only for the mentioned users and for the target user of a reply.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR